Skip to content

Return additional availability results (pagination).

Request

Return additional availability results. The Hotel Availability response uses pagination by default. The response notes the total number of rates found and, if greater than 100, also returns a pagination identifier that can be used for retrieving additional pages of results using this Availability Pagination request. You can send an Availability Pagination request to retrieve each additional page of 100 rates until all available rates have been retrieved. NOTE: Availability results are cached for 30 minutes. You cannot retrieve additional results from that Availability response after it expires.

Security
bearerAuth
Path
identifierstring, <= 128 charactersrequired

The Identifier of the CatalogOfferings from which a page is to be returned

Query
pageNumberstringrequired

The page number of the page of availability results to retrieve (e.g., second page is pageNumber=2, etc.). The Availability response returns page 1, so values here should be between 2 and 5 inclusive. You are not required to retrieve pages consecutively.

Headers
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
TVP-Correlation-Idstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
curl -i -X GET \
  'https://api.pp.travelport.net/11/hotel/availability/catalogofferingshospitality/{identifier}?pageNumber=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-Correlation-Id: 382c74c3-721d-4f34-80e5-57657b6cbc27' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
CatalogOfferingsHospitalityResponseobject(CatalogOfferingsHospitalityResponse)

The response of a Catalog Offerings hospitality endpoint request. By default, common information from each room offer is consolidated into the single object ReferenceList. If the optional verboseResponseInd indicator is sent in the request, ReferenceList is not returned and common property details are not grouped.

Response
{ "CatalogOfferingsHospitalityResponse": { "@type": "response", "CatalogOfferings": null, "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }